net.corda.node.services.config

## Class FullNodeConfiguration

- net.corda.node.services.config.FullNodeConfiguration

- All Implemented Interfaces:
    NodeConfiguration, SSLConfiguration

      public class FullNodeConfiguration
      implements NodeConfiguration

  baseDirectory is not retrieved from the config file but rather from a command line argument.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.node.services.config.NodeConfiguration

      `NodeConfiguration.DefaultImpls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullNodeConfiguration(java.nio.file.Path baseDirectory, com.typesafe.config.Config config)` baseDirectory is not retrieved from the config file but rather from a command line argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `createNode()`
    `com.google.common.net.HostAndPort` | `getArtemisAddress()`
    `java.nio.file.Path` | `getBaseDirectory()`
    `java.net.URL` | `getCertificateSigningService()`
    `java.nio.file.Path` | `getCertificatesDirectory()`
    `com.typesafe.config.Config` | `getConfig()`
    `java.util.Properties` | `getDataSourceProperties()`
    `boolean` | `getDevMode()`
    `java.lang.String` | `getEmailAddress()`
    `java.lang.String` | `getExportJMXto()`
    `java.util.List<java.lang.String>` | `getExtraAdvertisedServiceIds()`
    `java.nio.file.Path` | `getKeyStoreFile()`
    `java.lang.String` | `getKeyStorePassword()`
    `com.google.common.net.HostAndPort` | `getMessagingServerAddress()`
    `java.lang.String` | `getMyLegalName()`
    `java.lang.String` | `getNearestCity()`
    `NetworkMapInfo` | `getNetworkMapService()`
    `java.util.List<com.google.common.net.HostAndPort>` | `getNotaryClusterAddresses()`
    `com.google.common.net.HostAndPort` | `getNotaryNodeAddress()`
    `com.google.common.net.HostAndPort` | `getRpcAddress()`
    `java.util.List<net.corda.node.services.User>` | `getRpcUsers()`
    `java.nio.file.Path` | `getTrustStoreFile()`
    `java.lang.String` | `getTrustStorePassword()`
    `boolean` | `getUseHTTPS()`
    `boolean` | `getUseTestClock()`
    `com.google.common.net.HostAndPort` | `getWebAddress()`

    - ### Methods inherited from interface net.corda.node.services.config.NodeConfiguration

      `getBaseDirectory, getCertificateSigningService, getCertificatesDirectory, getDataSourceProperties, getDevMode, getEmailAddress, getExportJMXto, getMyLegalName, getNearestCity, getNetworkMapService, getRpcUsers`

    - ### Methods inherited from interface net.corda.node.services.config.SSLConfiguration

      `getCertificatesDirectory, getKeyStoreFile, getKeyStorePassword, getTrustStoreFile, getTrustStorePassword`

- - ### Constructor Detail

    - #### FullNodeConfiguration

          public FullNodeConfiguration(java.nio.file.Path baseDirectory,
                                       com.typesafe.config.Config config)

      baseDirectory is not retrieved from the config file but rather from a command line argument.

  - ### Method Detail

    - #### getMyLegalName

          public java.lang.String getMyLegalName()

    - #### getNearestCity

          public java.lang.String getNearestCity()

    - #### getEmailAddress

          public java.lang.String getEmailAddress()

    - #### getExportJMXto

          public java.lang.String getExportJMXto()

    - #### getKeyStorePassword

          public java.lang.String getKeyStorePassword()

    - #### getTrustStorePassword

          public java.lang.String getTrustStorePassword()

    - #### getDataSourceProperties

          public java.util.Properties getDataSourceProperties()

    - #### getDevMode

          public boolean getDevMode()

    - #### getCertificateSigningService

          public java.net.URL getCertificateSigningService()

    - #### getNetworkMapService

          public NetworkMapInfo getNetworkMapService()

    - #### getRpcUsers

          public java.util.List<net.corda.node.services.User> getRpcUsers()

    - #### getUseHTTPS

          public boolean getUseHTTPS()

    - #### getArtemisAddress

          public com.google.common.net.HostAndPort getArtemisAddress()

    - #### getRpcAddress

          public com.google.common.net.HostAndPort getRpcAddress()

    - #### getWebAddress

          public com.google.common.net.HostAndPort getWebAddress()

    - #### getMessagingServerAddress

          public com.google.common.net.HostAndPort getMessagingServerAddress()

    - #### getExtraAdvertisedServiceIds

          public java.util.List<java.lang.String> getExtraAdvertisedServiceIds()

    - #### getUseTestClock

          public boolean getUseTestClock()

    - #### getNotaryNodeAddress

          public com.google.common.net.HostAndPort getNotaryNodeAddress()

    - #### getNotaryClusterAddresses

          public java.util.List<com.google.common.net.HostAndPort> getNotaryClusterAddresses()

    - #### createNode

          public Node createNode()

    - #### getBaseDirectory

          public java.nio.file.Path getBaseDirectory()

    - #### getConfig

          public com.typesafe.config.Config getConfig()

    - #### getCertificatesDirectory

          public java.nio.file.Path getCertificatesDirectory()

    - #### getKeyStoreFile

          public java.nio.file.Path getKeyStoreFile()

    - #### getTrustStoreFile

          public java.nio.file.Path getTrustStoreFile()